// ==UserScript==
// @name          Fix genmay URLs
// @description	  
// @include       http://www.genmay.net/*
// @include       http://www.genmay.com/*
// @include       http://genmay.net/*
// @include       http://genmay.com/*
// @exclude       
// ==/UserScript==

function genmayurlfixer(e) {
	var doc = e.originalTarget;

	urls = doc.evaluate(
		"//a",
		doc,
		null,
		XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE,
		null);

	var desired_url = mayhemex.script_settings.getCharPref("genmayurlfixer.url");

	var domains = new Array();
	domains[1] = "www.genmay.net";
	domains[2] = "www.genmay.com";
	domains[3] = "www.genmay.org";
	domains[4] = "genmay.net";
	domains[5] = "genmay.com";
	domains[6] = "genmay.org";

	for(var i = 0; i < urls.snapshotLength; i++) {
		if(urls.snapshotItem(i).href.match(/genmay/)){
			for(x = 1; x < domains.length; x++){
				urls.snapshotItem(i).href = urls.snapshotItem(i).href.replace("http://"+domains[x], "http://"+desired_url);
			}
		}
	}
}