// ==UserScript==
// @name          Old style threadstarter column
// @description	  Restores the threadstarter column and removes the threadstarter name from under the thread title.
// @include       http://www.genmay.net/*
// @include       http://www.genmay.com/*
// @include       http://www.genmay.org/*
// @include       http://genmay.net/*
// @include       http://genmay.com/*
// @include       http://genmay.org/*
// @exclude       http://genmay.theintarweb.net/*
// ==/UserScript==

function oldstylethreadstartercol(e) {
	var doc = e.originalTarget;

	var threadstarters_elements;
	threadstarters_elements = doc.evaluate(
		"//span[@onclick]",
		doc,
		null,
		XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE,
		null);
	for(var i = 0; i < threadstarters_elements.snapshotLength; i++) {
		var threadstarter = doc.createElement("td");
		threadstarter.setAttribute("class", "alt2");
		threadstarter.setAttribute("style", "text-align:center;");
		
		var uid = threadstarters_elements.snapshotItem(i).getAttribute("onClick");;
		uid = uid.substring(uid.indexOf("u=")+2, uid.indexOf("',"));

		threadstarter.innerHTML = "<a href='member.php?u="+uid+"'>"+threadstarters_elements.snapshotItem(i).innerHTML+"</a>";

		threadstarters_elements.snapshotItem(i).parentNode.parentNode.parentNode.insertBefore(threadstarter, threadstarters_elements.snapshotItem(i).parentNode.parentNode.nextSibling);
		threadstarters_elements.snapshotItem(i).parentNode.removeChild(threadstarters_elements.snapshotItem(i));
	}


	var header;
	header = doc.evaluate(
		"//td[@width='150']",
		doc,
		null,
		XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE,
		null);
	for(var i = 0; i < header.snapshotLength; i++) {
		var threadstarter = doc.createElement("td");
		threadstarter.setAttribute("class", "thead");
		threadstarter.innerHTML = "<a href=\"forumdisplay.php?f=1&daysprune=7&order=asc&sort=postusernameThreadstarter\">Threadstarter</a>";
		header.snapshotItem(i).parentNode.insertBefore(threadstarter, header.snapshotItem(i));
	}


	var announcements;
	announcements = doc.evaluate(
		"//td[@colspan='4']",
		doc,
		null,
		XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE,
		null);
	for(var i = 0; i < announcements.snapshotLength; i++) {
		announcements.snapshotItem(i).setAttribute("colspan", 5);
	}
}