// ==UserScript==
// @name          User details
// @description	  Reveals the user details that used to be shown such as post count and location
// @include       http://www.genmay.net/*
// @include       http://www.genmay.com/*
// @include       http://genmay.net/*
// @include       http://genmay.com/*
// @exclude       
// ==/UserScript==

function userdetails(e) {
	var doc = e.originalTarget;

	elements = doc.evaluate(
		"//div[contains(@class, 'smallfont')]",
		doc,
		null,
		XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE,
		null);

	for(var i = 0; i < elements.snapshotLength; i++) {
		if(elements.snapshotItem(i).innerHTML.indexOf("<!--Removed") > 0){
			elements.snapshotItem(i).innerHTML = elements.snapshotItem(i).innerHTML.replace("<!--Removed by Matt Cohn 10/27/2006", "")
			elements.snapshotItem(i).innerHTML = elements.snapshotItem(i).innerHTML.replace("/Removed by Matt Cohn 10/27/2006--&gt;", "");
			
			// This is just a dirty fix to get the info to not be pushed down
			// and be displayed over other text
			div = document.createElement("div");
			elements.snapshotItem(i).parentNode.insertBefore(div, elements.snapshotItem(i));
		}
	}

}