// ==UserScript==
// @name          Genmay namerape->original
// @description	  
// @include       http://www.genmay.net/*
// @include       http://www.genmay.com/*
// @include       http://www.genmay.org/*
// @include       http://genmay.net/*
// @include       http://genmay.com/*
// @include       http://genmay.org/*
// @exclude       http://genmay.theintarweb.net/*
// ==/UserScript==


// Holds string which becomes the array of names
var denameraper_data;

/* =================================================================== *\
   Initiate denameraper updates
\* =================================================================== */
function denameraper_init(){
	const id = "mayhemex@theintarweb.net";

	var denameraper_data_file = Components.classes["@mozilla.org/extensions/manager;1"]
					.getService(Components.interfaces.nsIExtensionManager)
					.getInstallLocation(id)
					.getItemLocation(id); 
	denameraper_data_file.append("denameraper_data.txt");

	if(!denameraper_data_file.exists()){
		mayhemex.script_settings.setCharPref("denameraper.latest_update", "");
		denameraper_grab_update();
		return;
	}

	var charset = "UTF-8";
	const replacementChar = Components.interfaces.nsIConverterInputStream.DEFAULT_REPLACEMENT_CHARACTER;
	var fis = Components.classes["@mozilla.org/network/file-input-stream;1"]
			.createInstance(Components.interfaces.nsIFileInputStream);
	fis.init(denameraper_data_file, 1, 0, false);

	var is = Components.classes["@mozilla.org/intl/converter-input-stream;1"]
			.createInstance(Components.interfaces.nsIConverterInputStream);
	is.init(fis, charset, 1024, replacementChar);

	var str = {};
	denameraper_data = "";
	while (is.readString(4096, str) != 0) {
		denameraper_data += str.value;
	}

}

/* =================================================================== *\
   Grap denameraper update
\* =================================================================== */
function denameraper_grab_update(){
	log("denameraper: checking for update");
	mayhemex.fetch_url('http://mayhemex.theintarweb.net/denameraper_data.php?v='+mayhemex.version, 'denameraper_update');
}


/* =================================================================== *\
   Run denameraper update
\* =================================================================== */
function denameraper_update(str){
	var update_arr = str.split("\n");
	
	// Just the date of the latest update has been fetched
	if(update_arr.length < 3){
		var latest_update = mayhemex.script_settings.getCharPref("denameraper.latest_update");
		var current_version = update_arr[0];

		// update not needed
		if(latest_update == current_version){
			return;
		// fetch update
		}else{
		log("denameraper: grabbing update");
			mayhemex.fetch_url('http://mayhemex.theintarweb.net/denameraper_data.php?full_list=1&v='+mayhemex.version, 'denameraper_update');
			return;
		}

	// Full list has been fetched, write new list to file and all that good stuff
	}else{
		var current_version = update_arr[0];
		var show_update = mayhemex.script_settings.getBoolPref("denameraper.show_update");
		var update_message = update_arr[1];

		update_arr.shift();
		update_arr.shift();
		var update_data = update_arr.join("\n");

		try{
			const id = "mayhemex@theintarweb.net";
			var denameraper_data_file = Components.classes["@mozilla.org/extensions/manager;1"]
							.getService(Components.interfaces.nsIExtensionManager)
							.getInstallLocation(id)
							.getItemLocation(id); 
			denameraper_data_file.append("denameraper_data.txt");


			var fos = Components.classes["@mozilla.org/network/file-output-stream;1"]
								 .createInstance(Components.interfaces.nsIFileOutputStream);
			fos.init(denameraper_data_file, 0x02 | 0x08 | 0x20, 0664, 0);
			
			var charset = "UTF-8";
			var os = Components.classes["@mozilla.org/intl/converter-output-stream;1"]
						   .createInstance(Components.interfaces.nsIConverterOutputStream);
			os.init(fos, charset, 4096, 0x0000);

			os.writeString(update_data);
			
			os.close();
			fos.close();

			mayhemex.script_settings.setCharPref("denameraper.latest_update", current_version);

			denameraper_init();
		}
		catch(err){
			alert("Something went wrong when trying to write the denameraper update to file:\n\n"+err.description);
		}

		if(show_update){
			var update_alert = content.document.createElement("div");
			var update_alert_inner = content.document.createElement("div");
			update_alert.setAttribute("style", "top:0; left:0; width:100%; border-bottom: 4px solid #ccc;  background-color:#f6fff6; position:fixed;");
			update_alert_inner.setAttribute("style", "border-bottom:1px solid #ccc; padding:4px; margin-bottom:2px; font-size:9pt; font-family:arial, verdana, sans-serif; color:#000000;");
			
			update_alert.appendChild(update_alert_inner);
			update_alert.innerHTML = update_message;
			update_alert.addEventListener("click", function(e){this.setAttribute("style", "display:none;");}, false);
			content.document.body.insertBefore(update_alert, content.document.body.firstChild);
		}
	}
}


function denameraper(e) {
	var doc = e.originalTarget;


	// Time for an update?
	stamp = new Date();
	current_hour = stamp.getHours().toString();

	var latest_check = mayhemex.script_settings.getIntPref("denameraper.latest_check");
	diff = current_hour - latest_check;
	if(diff > 0 || diff < 0){
		denameraper_grab_update();
		mayhemex.script_settings.setIntPref("denameraper.latest_check", current_hour);
	}



	display_current = mayhemex.script_settings.getBoolPref("denameraper.show_current");
	cut_names = mayhemex.script_settings.getBoolPref("denameraper.cut_names");

	eval(denameraper_data);

	var member_links;
	var current = "";
	var current_div = "";
	member_links = doc.evaluate(
		"//a[contains(@href, '\?u=')]|//span[contains(@onclick, '\?u=')]",
		doc,
		null,
		XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE,
		null);
	for(var i = 0; i < member_links.snapshotLength; i++) {


		switch(member_links.snapshotItem(i).tagName){
			case "A":
				if(member_links.snapshotItem(i).href.match(/(member\.php\?u=)([0-9]{1,10})/)){
					current = member_links.snapshotItem(i).innerHTML;
					current = (cut_names) ? cut_name(current):current;

					if(rapes[RegExp.$2] && rapes[RegExp.$2] != current && current.indexOf('<img') == -1){
						if(display_current){
							current_div =  "<div style='font-size:8pt;'>"+current+"</div>";
						}
						member_links.snapshotItem(i).innerHTML=rapes[RegExp.$2]+current_div;
					}
				}
			break;



			case "SPAN":
				if(member_links.snapshotItem(i).getAttribute("onclick").match(/(member\.php\?u=)([0-9]{1,10})/)){
					current = member_links.snapshotItem(i).innerHTML;
					current = (cut_names) ? cut_name(current):current;
					if(rapes[RegExp.$2] && rapes[RegExp.$2] != current && current.indexOf('<img') == -1){
						if(display_current){
							current_div =  "<span style='font-size:8pt;'> ("+current+")</span>";
						}
						member_links.snapshotItem(i).innerHTML=rapes[RegExp.$2]+current_div;
					}
				}
			break;
		}
	}
}

function cut_name(str){
	if(str.length > 35){
		return "<acronym title=\""+str+"\" style=\"font-style:italic;\">"+str.substring(0,34)+"</acronym>";
	}else{
		return str;
	}
}

function denameraper_init_updater(){
	window.setInterval(function(e) {denameraper_grab_update();}, (60*60*1000));
}


window.addEventListener("load", function(e) { denameraper_init(e); }, false); 
//window.addEventListener("load", function(e) { denameraper_init_updater(e); }, false); 