// ==UserScript==
// @name          Quote highlighter
// @description	  Makes it easier to find people who have quoted you.
// @include       http://www.genmay.net/*
// @include       http://www.genmay.com/*
// @include       http://www.genmay.org/*
// @include       http://genmay.net/*
// @include       http://genmay.com/*
// @include       http://genmay.org/*
// @exclude       http://genmay.theintarweb.net/*
// ==/UserScript==

function quotehighlighter(e) {
	var doc = e.originalTarget;
	var style = mayhemex.script_settings.getCharPref("quotehighlighter.style");
	if(style == ""){
		style = "border:1px solid red; background:#7C1515;";
	}

	name = mayhemex.script_settings.getCharPref("quotehighlighter.name");

	var quotes;
	quotes = doc.evaluate(
		"//td[contains(@style, 'border: 1px inset')]",
		doc,
		null,
		XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE,
		null);
	for(var i = 0; i < quotes.snapshotLength; i++) {
		if(quotes.snapshotItem(i).innerHTML.match(eval("/<strong>"+name+"<\\/strong>/"))){
			quotes.snapshotItem(i).setAttribute("style", style);
		}
	}
}